Bug 1064053 - pidgin: Gadu-Gadu support removed in RHEL7
Summary: pidgin: Gadu-Gadu support removed in RHEL7
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pidgin
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Debarshi Ray
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-11 22:01 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2017-10-29 19:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-23 12:35:42 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Dominik 'Rathann' Mierzejewski 2014-02-11 22:01:57 UTC
Description of problem:
It seems that this change:

* Thu Nov 07 2013 Debarshi Ray <rishi@fedoraproject.org> - 2.10.7-4
- Drop Gadu-Gadu support in RHEL (Red Hat #1026505)

disables Gadu-Gadu support in pidgin. Please enable it back and use system libgadu like in Fedora. I'm not able to access bug #1026505, so I don't know what the rationale was. Please make it public.

Version-Release number of selected component (if applicable):
2.10.7-4

Comment 2 RHEL Program Management 2014-03-22 06:03:41 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 3 Debarshi Ray 2014-10-23 12:35:28 UTC
(In reply to Dominik 'Rathann' Mierzejewski from comment #0)
> Description of problem:
> It seems that this change:
> 
> * Thu Nov 07 2013 Debarshi Ray <rishi@fedoraproject.org> - 2.10.7-4
> - Drop Gadu-Gadu support in RHEL (Red Hat #1026505)
> 
> disables Gadu-Gadu support in pidgin. Please enable it back and use system
> libgadu like in Fedora.

libgadu was not part of RHEL6, and isn't part of RHEL7. I don't want to take responsibility for something that does not use English for documentation and change logs [1], unless there is a pressing need for it.

[1] https://github.com/wojtekka/libgadu/

> I'm not able to access bug #1026505, so I don't know
> what the rationale was. Please make it public.

Basically:
https://bugzilla.redhat.com/show_bug.cgi?id=1025718

Comment 4 RHEL Program Management 2014-10-23 12:35:42 UTC
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Comment 5 Dominik 'Rathann' Mierzejewski 2014-10-24 23:02:12 UTC
(In reply to Debarshi Ray from comment #3)
> (In reply to Dominik 'Rathann' Mierzejewski from comment #0)
> > Description of problem:
> > It seems that this change:
> > 
> > * Thu Nov 07 2013 Debarshi Ray <rishi@fedoraproject.org> - 2.10.7-4
> > - Drop Gadu-Gadu support in RHEL (Red Hat #1026505)
> > 
> > disables Gadu-Gadu support in pidgin. Please enable it back and use system
> > libgadu like in Fedora.
> 
> libgadu was not part of RHEL6, and isn't part of RHEL7.

That's not entirely true. While there was never a separate libgadu package in RHEL6, libgadu is actually bundled in the pidgin package.

> I don't want to take
> responsibility for something that does not use English for documentation and
> change logs [1], unless there is a pressing need for it.
> 
> [1] https://github.com/wojtekka/libgadu/

I understand and I'll talk to upstream about this. They do speak English FWIW.
As the maintainer of libgadu in Fedora, I can help you if you have any questions in the meantime.

> > I'm not able to access bug #1026505, so I don't know
> > what the rationale was. Please make it public.
> 
> Basically:
> https://bugzilla.redhat.com/show_bug.cgi?id=1025718

Ah, I can see where you're coming from. You could've asked upstream for relevant commit hashes, but I understand it is much easier if you can find them yourself.

Comment 6 Tomasz Tomasik 2017-10-29 19:34:20 UTC
(In reply to Dominik 'Rathann' Mierzejewski from comment #0)
> Description of problem:
> It seems that this change:
> 
> * Thu Nov 07 2013 Debarshi Ray <rishi@fedoraproject.org> - 2.10.7-4
> - Drop Gadu-Gadu support in RHEL (Red Hat #1026505)
> 
> disables Gadu-Gadu support in pidgin. Please enable it back and use system
> libgadu like in Fedora. I'm not able to access bug #1026505, so I don't know
> what the rationale was. Please make it public.
> 
> Version-Release number of selected component (if applicable):
> 2.10.7-4

You can use my repo to enable support for the GG protocol in purple-based software, including Pidgin.
https://copr.fedorainfracloud.org/coprs/scx/purple-gg/

$ rpm -qpl purple-gg-2.10.11-5.1.el7.centos.x86_64.rpm
/usr/lib64/purple-2/libgg.so
/usr/share/licenses/purple-gg-2.10.11
/usr/share/licenses/purple-gg-2.10.11/COPYING


Note You need to log in before you can comment on or make changes to this bug.